# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSpop3.dll
OBJFILES = QSpop3.obj QSpop\QSpop3Ver.obj QSpop\PopAccDlg.obj \
   QSpop\PopPassDlg.obj QSpop\PopProfDlg.obj QSpop\PopRetDlg.obj \
   QSshared\PrintDlgs.obj QSshared\Mixmaster.obj QSshared\View.obj \
   QSshared\WipeDlgs.obj QSshared\HelpDlgs.obj QSshared\FileMan.obj \
   QSshared\HeadMan.obj QSshared\Global.obj
RESFILES = QSpop\QSpop3.res
RESDEPEN = $(RESFILES) QSpop\PopAccDlg.dfm QSpop\PopPassDlg.dfm \
   QSpop\PopProfDlg.dfm QSpop\PopRetDlg.dfm QSshared\PrintDlgs.dfm \
   QSshared\View.dfm QSshared\WipeDlgs.dfm QSshared\HelpDlgs.dfm
LIBFILES = QSshared\zlib.lib
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\qsshared;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -DNO_DB_ENCRYPT -H=$(BCB)\lib\vcld.csm 
PFLAGS = -U.\qsshared;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -I.\qsshared;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DNO_DB_ENCRYPT -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i.\qsshared;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -DNO_DB_ENCRYPT 
LFLAGS = -L.\qsshared;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

